namespace EventAggregatorPattern
{
    using System.Web.Mvc;

    public class RegisterControllerFactory : IBootstrapperTask
    {
        private readonly IControllerFactory _controllerFactory;

        public RegisterControllerFactory(IControllerFactory controllerFactory)
        {
            _controllerFactory = controllerFactory;
        }

        public void Execute()
        {
            ControllerBuilder.Current.SetControllerFactory(_controllerFactory);
        }
    }
}